package net.moonleay.mods.gimble.client.keybindings.impl.editormode

import net.minecraft.client.MinecraftClient
import net.minecraft.client.option.KeyBinding
import net.moonleay.mods.gimble.client.editor.Editor
import net.moonleay.mods.gimble.client.keybindings.impl.GimbleShortcut
import net.moonleay.mods.gimble.client.editor.modes.Mode


class EnableVisualModeShortcut(key: KeyBinding): GimbleShortcut(key) {
    override fun onPressed(client: MinecraftClient) {
        Editor.CURRENT_MODE = Mode.VISUAL

        Editor.checkForIncompatibleModeModifiers()
    }
}
