package net.moonleay.mods.gimble.client.keybindings.impl.editormodemodifier

import net.minecraft.client.MinecraftClient
import net.minecraft.client.option.KeyBinding
import net.moonleay.mods.gimble.client.editor.Editor
import net.moonleay.mods.gimble.client.keybindings.impl.GimbleShortcut
import net.moonleay.mods.gimble.client.editor.modes.ModeModifier

class ToggleForcePlaceModifierShortcut(key: KeyBinding): GimbleShortcut(key) {
    override fun onPressed(client: MinecraftClient) {
        Editor.toggleModifier(ModeModifier.FORCE_PLACE)

        Editor.onModifiersUpdated()
    }
}
